# $Revision: 1.48 $, $Date: 2002/04/03 07:27:43 $
Summary:	GRand Unified Bootloader
Summary(pl):	GRUB - bootloader dla x86
Summary(pt_BR):	Gerenciador de inicializao GRUB
Name:		grub
Version:	0.91
Release:	6
License:	GPL
Group:		Base
Source0:	ftp://alpha.gnu.org/gnu/grub/%{name}-%{version}.tar.gz
Source1:	%{name}-linux-menu.lst
Source2:	%{name}-rebootin.awk
Source3:	%{name}_functions.sh
Source4:	%{name}-splash.xpm.gz
Patch0:		%{name}-bootonce.patch
Patch1:		%{name}-pwd.patch
Patch2:		%{name}-vga16.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-info.patch
Patch5:		%{name}-grub-install.patch
Patch6:		%{name}-ezd.patch
Patch7:		%{name}-init-config-end--prepatch.patch
BuildRequires:	autoconf
BuildRequires:	automake
Provides:	bootloader
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_datadir	/boot

%description
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux and *BSD kernels,
it implements the Multiboot standard, which allows for flexible
loading of multiple boot images (needed for modular kernels such as
the GNU Hurd).

%description -l es
ste es GRUB - Grand Unified Boot Loader - un administrador de
inicializacin capaz de entrar en la mayora de los sistemas
operacionales libres - Linux, FreeBSD, NetBSD, GNU Mach, etc. como
tambin en la mayora de los sistemas operacionales comerciales para
PC.

El administrador GRUB puede ser una buena alternativa a LILO, para
usuarios conms experiencia y que deseen obtener ms recursos de su
cargador de inicializacin (boot loader).

%description -l pl
GRUB jest bootloaderem na licencji GNU, majcym na celu unifikacj
procesu bootowania na systemach x86. Potrafi nie tylko adowa jdra
Linuksa i *BSD: posiada rwnie implementacje standardu Multiboot,
ktry pozwala na elastyczne adowanie wielu obrazw bootowalnych
(czego wymagaj moduowe jdra, takie jak GNU Hurd).

%description -l pt_BR
Esse  o GRUB - Grand Unified Boot Loader - um gerenciador de boot
capaz de entrar na maioria dos sistemas operacionais livres - Linux,
FreeBSD, NetBSD, GNU Mach, etc. assim como na maioria dos sistemas
operacionais comerciais para PC.

O GRUB pode ser uma boa alternativa ao LILO, para usurios mais
avanados e que querem mais recursos de seu boot loader.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -rf doc/*info*

%build
rm -f missing
aclocal
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/grub/%{_arch}-*/* \
	$RPM_BUILD_ROOT%{_datadir}/grub/

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/grub/menu.lst
install %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/rebootin
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-boot
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-boot
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/grub/splash.xpm.gz

gzip -9nf TODO BUGS NEWS ChangeLog docs/menu.lst

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc *.gz docs/menu.lst.gz
%dir %{_datadir}/grub
%{_datadir}/grub/*stage*
%{_datadir}/grub/splash.xpm.gz
%config(noreplace) %verify(not mtime md5 size) %{_datadir}/grub/menu.lst
%attr(754,root,root) %{_bindir}/*
%attr(754,root,root) %{_sbindir}/*
%{_infodir}/*.info*.gz
%{_mandir}/*/*
%{_sysconfdir}/sysconfig/rc-boot/%{name}_functions.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: grub.spec,v $
Revision 1.48  2002/04/03 07:27:43  kondi
- vga16 fixes: menuhidden mode, clear countdown after keystroke, documentation
- ask for password (patch)
- boot immediately if only one boot selection (patch)
- rel.6

Revision 1.47  2002/04/01 17:08:34  wolf
- release 5
- added pld logo to grub-splash.xpm.gz

Revision 1.46  2002/03/26 07:19:57  kloczek
- release 4.

Revision 1.45  2002/03/25 14:52:11  kondi
- example splash image missing in %files, fixed.

Revision 1.44  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.43  2002/03/24 15:39:04  kondi
lame typo. now it builds.

Revision 1.42  2002/03/24 15:31:09  kondi
(sun)flower power - vga16 splashscreen logo and patch for PLD
sorry guys, i had no storky image but i think this one is lovely :)

Revision 1.41  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/26 09:30:25  kloczek
- updated to 0.91 (new stable version) and removed obsoleted patches.

Revision 1.39  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/11/05 18:18:12  malekith
- rel 4
- to be rebuilt agains new grub_functions.sh
- this needs testing

Revision 1.37  2001/10/20 14:59:00  kloczek
- release 3.

Revision 1.36  2001/10/20 14:58:02  kloczek
- cosmetics.

Revision 1.35  2001/10/18 13:04:42  malekith
- rc-boot suport added
- rel 2

Revision 1.34  2001/10/02 03:59:53  kloczek
- rebuild ac/am files.

Revision 1.33  2001/09/25 19:31:44  baggins
- updated to 0.90

Revision 1.32  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.30  2001/07/11 08:30:56  dobrek
-Added support for rc-boot.

Revision 1.29  2001/03/21 02:49:59  baggins
- STB
- typo
- i18n patch is still a POS - removed

Revision 1.28  2001/03/21 02:04:11  baggins
- TEST release 5 (not sure about i18n patch)
- added rebootin script (from mandrake but awk-ed ;)
- removed install_grub_on_floppy script
- replaced sh patch with grub-install patch from MDK
- ezd, init-config-end, i18n and altconfigfile patches from MDK
- added dont-give-mem-to-kernel patch (based on one from MDK)
- exclusivearch ix86
- /boot/grub/ARCH-VENDOR was a bad idea

Revision 1.27  2001/03/19 15:08:06  baggins
- release 4
- added sh patch (fix for grub-install)

Revision 1.26  2001/03/18 17:26:32  blues
Just a few translations.

Revision 1.25  2001/03/17 03:30:15  baggins
- release 3
- moved data files (*stage*) to /boot/grub/ARCH-VENDOR
- fixed grub-install script

Revision 1.24  2001/01/18 14:38:33  wiget
fix info patch;Release 2

Revision 1.23  2000/11/16 05:36:42  kloczek
- updated to 0.5.96.1.

Revision 1.22  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.21  2000/08/01 14:57:36  mis
- Provide: "bootloader" added

Revision 1.20  2000/07/13 13:01:11  baggins
- release 2
- commented out Patch2 (bigpatch), it's UGLY and sucks

Revision 1.19  2000/07/11 14:19:31  baggins
- updated to 0.5.95
- removed obsoleted patches - reiserfs and skipcdroms
- updated bigpatch

Revision 1.18  2000/06/21 16:23:31  kloczek
- added "ExcludeArch: sparc sparc64" - grub do not support sparc arch.

Revision 1.17  2000/06/20 18:44:50  kloczek
- added patchess from MDK:
 - Make sure CD-ROMs don't get assigned a BIOS disk number
   before SCSI disks (skipcdroms),
 - fix handling symlinks on reiserfs (raiserfs),
 - fixes for beter handling menu (bigpatch).

Revision 1.16  2000/06/20 12:51:20  mis
- fix: fix-info-dir call is moved from %preun to the right section, %postun

Revision 1.15  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:22:56  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/25 14:18:26  baggins
- release 3
- fixed info listing in %%files

Revision 1.12  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.11  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.10  2000/05/08 19:33:55  kloczek
- cosmetics.

Revision 1.9  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.8  2000/04/18 12:51:30  zagrodzki
- release 2

Revision 1.7  2000/04/18 12:48:07  baggins
- define _sbindir /sbin
- added standard menu
- added _bindir/*
- cosmetics

Revision 1.6  2000/04/04 07:16:16  arturs
- added %description -l pl

Revision 1.5  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.3  2000/03/23 17:25:18  kloczek
- added Group(pl).

Revision 1.2  2000/03/23 17:24:23  kloczek
- updated to 0.5.94 and completly rewrited in PLD style.

* Tue Jan 4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-3mdk
- Add install_grub_on_floppy script (thnks b.bodin).
- Add dvi docs (tknks b.bodin).

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.93.1-2mdk
- Add %packager (thnks rpmlint).
- Remove CFLAGS.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution based on debian version.
